Subject: bug#20764: 25.0.50; Minor improvements for calculator.el

From: Jay Belanger <[email-masked]>
Date: Wed, 17 Jun 2015 09:47:40 -0500

>> I find the calculator.el in Emacs is handy.  However, there are two
>> things I'd like to see changed.
>>
>> 1. Press F1 results in `??bad key?? (f1)'.
>> 2. Can't enter exponent by `E'.
...
> Two cents from another calc user:

Emacs has two built-in calculators; calculator.el, which is a basic
scientific calculator, and Calc, which is more extensive.

The original bug report was for calculator.el, in which E is currently
undefined.  I'm not sure who should address this bug report, but if
nobody else does, I will.

> However, F1 is familiar for users from other platforms, so I think it
> might be a good addition for the benefit of new or infrequent users.

Good point, I can make the change (for F1 only) in Calc, too.

Jay